package Debug;

require(Exporter);
@ISA = qw(Exporter);
@EXPORT = qw(debug);
@EXPORT_OK = qw($debug_level);

$VERSION = '0.02';

$level = 0;

# debug($lvl, $str);
sub debug {
	my ($lvl) = shift(@_);
	my ($str) = @_;

	if ($lvl < 0) {
		print STDERR "Debug: debug level less than 0\n";
	}
	if ($lvl > 5) {
		print STDERR "Debug: debug level greater than 5\n";
	}

	if ($lvl <= $level) {
		print "debug[${lvl}]: $str";
	}
}

1;
